Solid Edge FrameworkSupport Type Library
AddByCenter Method
The object receiving the center mark.
The coordinates of the CenterObject's locate point. This point is used as a proximity point while calculating the key point.
The coordinates of the CenterObject's locate point. This point is used as a proximity point while calculating the key point.
The coordinates of the CenterObject's locate point. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the object is to considered. If True, the object is selected; if False, the nearest key point is selected.
Description
Uses a center point to create a CenterMark, Ellipse2d, or EllipticalArc2d object.
Syntax
Visual Basic
Public Function AddByCenter( _
   ByVal CenterObject As Object, _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double, _
   ByVal keyPoint As Boolean _
) As CenterMark
Parameters
CenterObject
The object receiving the center mark.
x
The coordinates of the CenterObject's locate point. This point is used as a proximity point while calculating the key point.
y
The coordinates of the CenterObject's locate point. This point is used as a proximity point while calculating the key point.
z
The coordinates of the CenterObject's locate point. This point is used as a proximity point while calculating the key point.
keyPoint
Specifies whether the object or a key point of the object is to considered. If True, the object is selected; if False, the nearest key point is selected.
Remarks
If the CenterMark object is placed with respect to a key point, the point of reference is the key point.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objCircle As SolidEdgeFrameworkSupport.Circle2d
    Dim objCenterMarks As SolidEdgeFrameworkSupport.CenterMarks
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' getting the active sheet
    Set objSheet = objDoc.ActiveSheet
    ' getting the CenterMarks collection object on the active sheet
    Set objCenterMarks = objSheet.CenterMarks
    ' adding a Circle to the active sheet
    Set objCircle = objSheet.Circles2d.AddByCenterRadius(x:=0.25, y:=0.25, Radius:=0.05)
    ' adding a center mark to the above circle using the CenterObject
    Call objCenterMarks.AddByCenter(CenterObject:=objCircle, x:=0.25, y:=0.5, z:=0, KeyPoint:=True)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objCircle = Nothing
    Set objCenterMarks = Nothing
End Sub
See Also

CenterMarks Collection  | CenterMarks Members

Send comments on this topic.